package org.texttechnologylab.project.gruppe_05_1.xml.speeches.Impls;

import org.texttechnologylab.project.gruppe_05_1.xml.speeches.Interfaces.Content;
import org.texttechnologylab.project.gruppe_05_1.xml.speeches.Interfaces.Line;
import org.texttechnologylab.project.gruppe_05_1.xml.speeches.enums.MongoDBEntryType;

public class Line_File_Impl implements Content, Line {
    private final int contentId;
    protected final int speechId;
    private final String content;

    @Override
    public int getContentId() {
        return contentId;
    }

    @Override
    public int getSpeechId() {
        return speechId;
    }

    @Override
    public String getContent() {
        return content;
    }

    public Line_File_Impl(int contentId, int speechId, String content) {
        this.contentId = contentId;
        this.speechId = speechId;
        this.content = content;
    }

    @Override
    public MongoDBEntryType getType() {
        return MongoDBEntryType.SPEECH_LINE;
    }
}